# Self-Hosting (NO LONGER MAINTAINED)

Showing how you can install any service yourself, where you can own your data, guaranteeing privacy.

**DISCLAIMER:** these tutorials are meant to be used as a "how to get started on XYZ", these tutorials may miss some details here and there, they have a lower quality standard than the ones i maintain in [Privacy / Anonymity / Plausible Deniability](../servers/index.md)

**CONTRIBUTORS** : 

  1. Nihilist
  2. Notorious


    
    
    LEGAL DISCLAIMER:
    Across the entirety of my blog, in all articles that I made, I advocate for the legal use of technologies, even when I am talking about Privacy-enhancing and Anonymity-enabling technologies. In no way am I advocating for any illegal use of any technology showcased in any article on my blog, as the goal of this blog is to remain stricly informative and educative.
    
    I decline any and all responsibility for any mis-use of any of the technology i showcase in the entirety of my blog. I also decline any and all responsibility for any physical, digital and psychological damage caused by the mis-use of any showcased technology, as the responsibility of such acts remains with the perpretating third-party. By reading this blog, you permanently, irrevocably and world-widely agree that I am in no way am responsible for any illegal action done by you or anyone that uses any of the showcased technology in my blog articles.
    
    

## **Setting up Servers**

📝 Security 

  1. [✅ Physical Surveillance (rpi + webcams)](surveillance/index.md)



📝 Privacy Front-ends 

  1. [✅ SearxNG: privacy front-end for web-browsing](searxng/index.md)
  2. [✅ 4get: privacy front-end for web-browsing](4get/index.md)
  3. [✅ Whoogle: privacy front-end for Google](whoogle/index.md)
  4. [✅ Invidious: privacy front-end for Youtube](invidious/index.md)
  5. [✅ Nitter: privacy front-end for Twitter](nitter/index.md)
  6. [✅ AnonymousOverflow: privacy front-end for StackOverflow](anonymousoverflow/index.md)
  7. [✅ Teddit: (DISCONTINUED) privacy front-end for Reddit](teddit/index.md)
  8. [✅ SafeTwitch: privacy front-end for Twitch](safetwitch/index.md)
  9. [✅ Wikiless: privacy front-end for wikipedia](wikiless/index.md)
  10. [✅ Proxitok: privacy front-end for tiktok](proxitok/index.md)
  11. [✅ Librex: privacy front-end for google](librex/index.md)



📝 Productivity 

  1. [✅ RSS Feeds](rss/index.md)
  2. [✅ RustDesk (open source teamviewer alternative)](RustDesk/index.md)
  3. [✅ Perlite (Obsidian Notes)](perlite/index.md)
  4. [✅ Gitea](Gitea/index.md)
  5. [ ✅ Nginx Nextcloud Server](nextcloud/index.md)
  6. [✅ Nginx Kanboard](kanboard/index.md)
  7. [✅ Privatebin](privatebin/index.md)
  8. [✅ Jitsi](jitsi/index.md)
  9. [✅ CyberChef](cyberchef/index.md)
  10. [✅ GLPI](glpi/index.md)
  11. [✅ FreshRSS](freshrss/index.md)
  12. [✅ PlainPad](plainpad/index.md)
  13. [✅ MyMind+Mindmaps](mymind/index.md)
  14. [✅ hat.sh file encryption](hatsh/index.md)



💻 Collaborative Work

  1. [✅ Matrix chat with VoIP support ](../servers/matrixnew/index.md)
  2. [✅ Etherpad ](etherpad/index.md)
  3. [✅ Cryptpad](cryptpad/index.md)
  4. [✅ CodiMD](codimd/index.md)
  5. [✅ ShareLateX](sharelatex/index.md)



⭐ Personal Favorites

  1. [✅ Anonymity Management (Whonix, Veracrypt Plausible Deniability)⭐](../servers/anonymity/index.md)
  2. [✅ Public Mail service over VPN over Tor ⭐](../servers/mailprivate/index.md)
  3. [✅ GTX 1050 PCI Passthrough to QEMU VM](pcipassthrough2/index.md)
  4. [✅ Lainon Radio (mpd, icecast, nginx)](lainradio/index.md)
  5. [✅ NGINX - RTMP HLS + HTTPS](hls/index.md)
  6. [✅ Perlite (Obsidian Notes)](perlite/index.md)
  7. [✅ Openvpn Over Tor Server Setup](ovpn_tor/index.md)
  8. [✅ HTTP Service over VPN over Tor](tor_ssh_tunnel_port_forwarding/index.md)
  9. [ ✅ Nginx Zabbix Server, with SNMPv3 Hosts](Zabbix/index.md)
  10. [ ✅ Nginx Nextcloud Server](nextcloud/index.md)
  11. [✅ Leela Chess Zero ](lc0/index.md)



🪟 Windows Server 

  1. [✅ WS2019 QEMU setup](w0/index.md)
  2. [✅ DNS setup](w1_dns/index.md)
  3. [✅ Active Directory (AD) setup](w2_ad/index.md)
  4. [✅ AD + Users and Groups setup](w3_users/index.md)
  5. [✅ WS2019 DNS + AD Proxmox setup](w5/index.md)
  6. [✅ LDAP + SSL setup](w6_ldaps/index.md)
  7. [✅ WS2019 Triple DFS Share replication](w7/index.md)



🎦 Media

  1. [✅ Stable Diffusion (Easy Diffusion) AI text to image generation](stablediffusion2/index.md)
  2. [✅ NGINX - RTMP HLS + HTTPS](hls/index.md)
  3. [✅ Lainon Radio (mpd, icecast, nginx)](lainradio/index.md)
  4. [✅ Neko (rabb.it replacement)](neko/index.md)
  5. [✅ Hydrus Network Client](hydrus/index.md)
  6. [✅ Asciinema Server](asciinema/index.md)



🟦 pfSense Administration

  1. [✅ pfsense on virt-manager](../servers/pf_virt/index.md)
  2. [✅ pfsense on proxmox](pf_prox/index.md)
  3. [✅ pfsense Site to Site VPN](pf_vpn/index.md)



🐐 Debian Server Administration

  1. [✅ Debian 12 Bookworm Upgrade ](debianupgrade/index.md)
  2. [✅ Mdadm raid 1 setup ](raid1disks/index.md)
  3. [✅ External Drives with LUKS encryption ](luks/index.md)
  4. [✅ Simple NGINX setup with HTTPS ](nginx/index.md)
  5. [✅ NGINX + fail2ban ](nginx_fail/index.md)
  6. [✅ Protect SSH with fail2ban ](fail2banssh/index.md)
  7. [✅ Haproxy Load Balancing ](haproxy/index.md)
  8. [✅ NGINX Load Balancing ](nginx_loadb/index.md)
  9. [✅ XRDP ](xrdp/index.md)
  10. [✅ Apt-Cacher Linux Proxy](apt-cacher/index.md)



🔁 Automation

  1. [✅ Automatic Debian updates (via unattended upgrades)](unattendedupgrades/index.md)
  2. [✅ Automatic Debian / Arch Updates](cron/index.md)
  3. [✅ Updating Debian10 Clusters with Ansible](ansible/index.md)



🖥️ Monitoring

  1. [ ✅ Uptime Kuma](uptimekuma/index.md)
  2. [ ✅ SNMP (Debian, Windows, PfSense)](snmp/index.md)
  3. [ ✅ Nginx Zabbix Server](Zabbix/index.md)
  4. [ ✅ Nginx LibreNMS Server](librenms/index.md)
  5. [ ✅ Nginx Observium Server](observium/index.md)
  6. [✅ Prometheus Grafana Server](progra/index.md)
  7. [ ✅ CheckMK Server](checkmk/index.md)
  8. [ ✅ T-Pot Honeypot](tpot/index.md)
  9. []()



📧 Mail

  1. [✅ VPS PUBLIC Mailserver (postfix, dovecot, spamassassin, OpenDKIM)](mail2/index.md)
  2. [✅ Rainloop](rainloop/index.md)
  3. [✅ Local hMailServer + Thunderbird with self-signed SSL](hmail/index.md)



📜 Scripted Setups:

  1. [✅ Openvpn Server](openvpn/index.md)
  2. [✅ Wireguard Server](wireguard_auto/index.md)
  3. [✅ Simple SSH Server](https://git.nowhere.moe/nihilist/serverside/src/branch/master/ssh/ssh.sh)
  4. [✅ RDP Connections](rdp/index.md)
  5. [✅ Simple FTP server](https://git.nowhere.moe/nihilist/serverside/src/branch/master/ftp/vsftpd.sh)
  6. [✅ Simple WebDav server](https://git.nowhere.moe/nihilist/serverside/src/branch/master/webdav/webdav.sh)
  7. [ ✅ Snapd Nextcloud Server](nextcloud/lazy.html)



🚧Complete Professionnal Projects

  1. [✅ E4 Network Monitoring (SNMP + GLPI)](composite/e4.html)
  2. [✅ E4 - SP1 Nextcloud 🇫🇷](e4/sp1.html)
  3. [✅ E4 - SP2 pfSense VPN 🇫🇷](e4/sp2.html)



🗄️ Databases

  1. [✅ PostgreSQL Master-Slave Replication](db/psql_ms.html)
  2. [✅ PostgreSQL Master-Master (Bucardo)](db/psql_mm.html)
  3. [✅ PostgreSQL Front-End: PgAdmin4](db/pgadmin.html)
  4. [✅ MySQL Master-Slave Replication](db/msql_ms.html)
  5. [✅ MySQL Master-Master Replication](db/msql_mm.html)
  6. [✅ MySQL Front-End: PHPMyAdmin](db/phpmyadmin.html)



🚢 Docker - Management

  1. [✅ Docker automatic image updates setup](watchtower/index.md)
  2. [✅ Docker setup](virtual/docker.io.html)
  3. [✅ Dozzle (Docker Logs)](dozzle/index.md)
  4. [✅ Portainer.io](portainer/index.md)
  5. [✅ Nginx Proxy Manager](nginx_p_mngr/index.md)



🚢 Docker - Containers

  1. [✅ Dillinger](dillinger/index.md)
  2. [✅ Kutt URL Shortener](kutt/index.md)
  3. [✅ Searx](searx_docker/index.md)



📦 Backups

  1. [✅ Rsync Automation with SSH Keys (PUSH backups)](rsync/index.md)
  2. [✅ Borg Backup Usage (PUSH backups)](borg/index.md)
  3. [✅ Borg Backup Automation (PUSH backups)](borg_auto/index.md)



🔍 Search Engines

  1. [✅ Gomez (Torrents)](gomez/index.md)



⚠️ Minimal / Experimental / Games

  1. [✅ KVM/QEMU : Multiple displays per VM + clipboard copy paste](kvm/index.md)
  2. [✅ Port forward from local services to VPSes](portforwarding/index.md)
  3. [✅ Bedrock Linux: kali tools on arch linux](bedrock/index.md)
  4. [✅ GTX 1050 PCI Passthrough to QEMU VM](pcipassthrough2/index.md)
  5. [✅ PHP LainSafe](phpfilesafe/index.md)
  6. [✅ CGI LainSafe](lainsafe/index.md)
  7. [✅ Colored MOTDs ](motd/index.md)
  8. [✅ Leela Chess Zero ](lc0/index.md)
  9. [✅ TF2 Server (ubuntu)](tf2srv/index.md)
  10. [✅ Modded Minecraft Server](minecraft/index.md)



📡 DNS

  1. [✅ Bind9 dyndns + dnssec + slave master](../servers/dns/index.md)
  2. [✅ Tor Anonymous DNS](tordns/index.md)
  3. [✅ pihole DNS](pihole/index.md)



📑 Blogging

  1. [✅ Ghost](ghost/index.md)



💬 Chat

  1. [✅ Clearnet Matrix server (federated clearnet chatting)](matrixnew/index.md)
  2. [✅ XMPP Chat Server Setup (Clearnet + Onion + OMEMO E2EE)](xmpp2024/index.md)
  3. [✅ rocket.chat](rocketchat/index.md)
  4. [✅ TheLounge (with inspircd)](thelounge/index.md)
  5. [✅ inspIRCd (no ssl, with password)](irc/index.md)



🧊 General Virtualisation

  1. [✅ virt-manager with NAT setup](virtual/virtmanager.html)
  2. [✅ VMWare Workstation Pro](vmware/index.md)



## **Anonymity-friendly VPS providers**

  1. [ServersGuru (KYC-Free reseller of cloud providers like Hetzner)](https://kycnot.me/service/servers.guru)
  2. [nicevps.net (KYC-Free registrar)](https://kycnot.me/service/nicevps)
  3. [Other Non-KYC Cloud Providers](https://kycnot.me/?t=service&q=vps)



## **Inspirations**

  1. [awesomeopensource self-hosted](https://awesomeopensource.com/projects/self-hosted)
  2. [awesome self-hosted](https://github.com/awesome-selfhosted/awesome-selfhosted)
  3. [ awesome sysadmin](https://github.com/kahun/awesome-sysadmin)
  4. [ Awesome Self Hosted](https://selfhosted.libhunt.com/projects)



